import { DefaultPlacementService } from "@node-projects/web-component-designer";
import { TabWebcomponent } from "../chart/ChartJsWebcomponent.js";
export default class TabPlacementService extends DefaultPlacementService {
    serviceForContainer(container, containerStyle) {
        if (container.element instanceof TabWebcomponent)
            return true;
        return false;
    }
    enterContainer(container, items) {
        for (let i of items) {
            if (i.hasStyle('position'))
                i.removeStyle('position');
            if (i.hasStyle('width'))
                i.removeStyle('width');
            if (i.hasStyle('height'))
                i.removeStyle('height');
            if (i.hasStyle('left'))
                i.removeStyle('left');
            if (i.hasStyle('top'))
                i.removeStyle('top');
        }
    }
    place(event, placementView, container, startPoint, offsetInControl, newPoint, items) {
    }
    finishPlace(event, placementView, container, startPoint, offsetInControl, newPoint, items) {
    }
}
