import { IDesignItem, IProperty, IPropertyGroup } from "@node-projects/web-component-designer";
import { AbstractPolymerLikePropertiesService } from "@node-projects/web-component-designer/dist/elements/services/propertiesService/services/AbstractPolymerLikePropertiesService.js";
export default class AttachedPropertiesService extends AbstractPolymerLikePropertiesService {
    isHandledElement(designItem: IDesignItem): boolean;
    getProperties(designItem: IDesignItem): IProperty[] | IPropertyGroup[];
    protected _notifyChangedProperty(designItem: IDesignItem, property: IProperty, value: any): void;
}
