import { PropertyType } from "@node-projects/web-component-designer";
import { TabWebcomponent } from "../chart/ChartJsWebcomponent.js";
import { AbstractPolymerLikePropertiesService } from "@node-projects/web-component-designer/dist/elements/services/propertiesService/services/AbstractPolymerLikePropertiesService.js";
export default class AttachedPropertiesService extends AbstractPolymerLikePropertiesService {
    isHandledElement(designItem) {
        return designItem.parent?.element instanceof TabWebcomponent;
    }
    getProperties(designItem) {
        return [{
                name: 'tab-control', properties: [{
                        name: 'header',
                        description: 'header shown in tab control',
                        type: "string",
                        service: this,
                        propertyType: PropertyType.propertyAndAttribute
                    }]
            }];
    }
    _notifyChangedProperty(designItem, property, value) {
        (designItem.parent?.element)._refreshContent();
    }
    ;
}
