import { DefaultPlacementService, IDesignItem, IPlacementView, IPoint } from "@node-projects/web-component-designer";
export default class TabPlacementService extends DefaultPlacementService {
    serviceForContainer(container: IDesignItem, containerStyle: CSSStyleDeclaration): boolean;
    enterContainer(container: IDesignItem, items: IDesignItem[]): void;
    place(event: MouseEvent, placementView: IPlacementView, container: IDesignItem, startPoint: IPoint, offsetInControl: IPoint, newPoint: IPoint, items: IDesignItem[]): void;
    finishPlace(event: MouseEvent, placementView: IPlacementView, container: IDesignItem, startPoint: IPoint, offsetInControl: IPoint, newPoint: IPoint, items: IDesignItem[]): void;
}
